Problems installing sample data

Vote:
 
I get the following error message when trying to install the english sample data: Exception: "07/22/2003 13:17:50" is not a valid value for "EPiServer.Core.PropertyDate".[String was not recognized as a valid DateTime.]. I have tried both english & swedish sample data and the sample site included in the EPiServer course. All produces the same error. I have tried several different SQL Server collations (Latin 1 & Danish/Norwegian among them). I have also tried changing the date format in Control Panel (have tried all different formats in the drop down). Computer info: Windows XP Pro english w/ SP2, SQL Server 2000 SP4, EPiServer 4.51, Visual Studio 2003 Do anyone have any suggestions? -- Complete stacktrace -- Exception: "07/22/2003 13:17:50" is not a valid value for "EPiServer.Core.PropertyDate".[String was not recognized as a valid DateTime.]. Stacktrace: at EPiServer.Core.PropertyDate.Parse(String str) at EPiServer.Core.PropertyDate.ParseToSelf(String str) at EPiServer.Core.PropertyData.CreatePropertyDataObject(RawProperty rawProp) at EPiServer.Core.PropertyDataCollection..ctor(RawProperty[] properties) at EPiServer.Core.PageData..ctor(RawPage page) at EPiServer.Core.PageDataCollection..ctor(RawPage[] rawPages) at EPiServer.Enterprise.Transfer.PageTransfer.Import(XmlTextReader input) at EPiServer.Enterprise.DataImporter.ᐁ(Stream ) at EPiServer.Enterprise.DataImporter.Import()
#17480
Mar 25, 2008 19:33
Vote:
 
We have just migrated to a brand new (web) server and I get the same error message (The date in the exception: "07/22/2003 13:17:50" is also the same!) when I try installing sample templates. The server OS is Windows 2003 Server 64 bit, EPiServer 4.51, IIS 6.0. I have also tried changing the date format without success. My opinion is that this is a bug, since that date and time must be hardcoded into the source code somewhere! On the other end I have installed EPiServer 4.51 in two more servers (with different OSes and HW) without finding any reply.
#18276
Mar 25, 2008 19:43
Vote:
 
This was a bug (#0023968) that occured on export packages made before EPiServer 4.31 (even if imported on newer releases), packages made since this release should not experience this problem. The workaround is to go to "My Settings" on the edit mode frontpage and select "English" as your language preference. Then go to "Edit languages" and make sure "English" has Locale set to "en-GB". That should do it.
#18277
Mar 25, 2008 19:43
Vote:
 
Thanks for the info. I have applied the workaround you mentioned (selecting English to the admin user and setting the locale to en-GB), but I still get the same error message when I import the example templates included in EPiServer 4.51 (EnglishSample.epi4). So, if I understand you correctly, this means that those templates were made with a release previous than 4.31 and still distributed around in new releases?
#18278
Mar 25, 2008 19:43
Vote:
 
As I mentioned before, in two other servers (with Win2K server) where I had installed EPiServer 4.51 I DID NOT have the same problem. Therefore I have exported the sample templates and pages from one of them and I have imported them into my new installation (on a Win 2K3 server), where I had applied the workaround suggested above. The error message is still there, but the date that appears this time is the export date, in the American format: mm/dd/yyyy. So basically this server is now usable only as a standalone one: I cannot import/export anything coming from other servers. Is there any other thig I can try to solve the issue?
#18279
Mar 25, 2008 19:43
Vote:
 
The export packages coming with releases is always up to date, I thought you got the package from elsewhere. I would recommend that you contact our support for further troubleshooting.
#18280
Mar 25, 2008 19:43
Vote:
 
After contacting EPiServer support on this issue(as you adviced), below is their answer. But I am not really convinced about it. Has anybody out there already installed EPiServer on a new machine (64-bit, as the 32-bit ones are not easily available anymore)? ---------------------------------------------------------- First of all I would like to say that we currently do not support EPiServer running in a 64-bit environment. Of course, the problem you encounter is not neccesarily related to the 64-bit environment, but there is a good chance it is. I strongly advice you NOT to use a 64-bit server to host your EPiServer site. Are you using the WOW64 emulator on your server? I have very limited knowledge of WOW64, but from what I have read it seems that it introduces an extra level of configuration that needs to be set up correctly to ensure smooth execution of 32-bit applications. I recommend that you install EPiSever on a 32-bit machine and contact us again if the problem occurs in that environment as well. ----------------------------------------------------------
#18281
Mar 25, 2008 19:43
* You are NOT allowed to include any hyperlinks in the post because your account hasn't associated to your company. User profile should be updated.